<?php declare(strict_types=1);

namespace App\Contracts;

use Illuminate\Database\Eloquent\Builder;

interface GenerateTokenCommand
{
    public function execute(): string;
    public function unique(Builder $builder, string $field, int $numberAttempts = 10): string;
}
